Vinix· docs
API referenceCore APINumbers & TrunksPhone Numbers

List Numbers Prefix

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/phone_numbers/prefix

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/phone_numbers/prefix"
{
  "data": {
    "carrier_name": "string",
    "cnam": {
      "display_name": "string",
      "inbound_lookup": true
    },
    "create_with_state": "aging",
    "e911": {
      "activated_time": "string",
      "caller_name": "string",
      "extended_address": "string",
      "latitude": "string",
      "legacy_data": {
        "house_number": "string",
        "predirectional": "string",
        "streetname": "string",
        "suite": "string"
      },
      "locality": "string",
      "location_id": "string",
      "longitude": "string",
      "notification_contact_emails": [],
      "plus_four": "string",
      "postal_code": "string",
      "region": "st",
      "status": "INVALID",
      "street_address": "string"
    },
    "porting": {
      "billing_account_id": "string",
      "billing_extended_address": "string",
      "billing_locality": "string",
      "billing_name": "string",
      "billing_postal_code": "string",
      "billing_region": "string",
      "billing_street_address": "string",
      "billing_telephone_number": "string",
      "comments": [
        "string"
      ],
      "customer_contact": "string",
      "port_id": "string",
      "requested_port_date": "string",
      "service_provider": "string"
    }
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}